img {
    width: 100%;
    height: 100%;
    object-fit: cover;    
    object-position: top;
}

/* ALL COURSES SECTION */
.all-courses {
    background-color: var(--color-bg);
    background-image: url('../../img/bg-texture.png');
}

.all-courses h1 {
    text-align: center;
    margin: 1em 0;
    margin-bottom: 2em;
}

.all-courses .categories-container {
    display: flex;
    background-color: var(--color-bg1);
    overflow-x: scroll;
    border-bottom: 0;
    margin-bottom: 2em;
}


.all-courses .categories-container span {
    display: inline-block;
    padding: 1em;
    min-width: 11em;
    background-color: var(--color-bg1);
    display: flex;
    justify-content: center;
    align-items: center;
}

.all-courses .categories-container span:hover {
    cursor: pointer;
    background-color: var(--color-bg2);
}

.all-courses .categories-container span.selected {
    background-color: var(--color-primary);
    color: #fff;
}

.all-courses__container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--color-bg2);
}

.all-courses__container h2 {
    width: 50%;
    margin: 0 auto;
    margin-bottom: 2em;
    padding: 1em;
    border-bottom: 1px solid var(--color-white);
}
.all-courses__container h2.other-courses {
    order: -2;
}

.all-courses__container h2.featured-course {
    order: -6;
}

/* GENERAL COURSES DIV STYLE */

.all-courses__container > .cat-item {
    opacity: 0;
    display: none;
}

.all-courses__container > .cat-item.show {
    opacity: 1;
    display: unset;
    animation-name: fadeIn;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes fadeIn {
    0% {
        display: unset;
        opacity: 0;
        width: 50%;
    }

    100% {
        opacity: 1;
        width: 100%;
    }
}
.all-courses__container > div > div {
    position: relative;
    display: flex;
    padding: 1em 0;
    margin-bottom: 5em;
    gap: 2em;
    background-color: var(--color-bg2);
    padding: 0 2em;
}

.all-courses__container > div > div::after {
    content: '';
    height: 1px;
    width: 70%;
    position: absolute;
    bottom: -2.5em; left: 50%;
    transform: translateX(-50%);
    background-color: var(--color-white);
    opacity: .8;
}

.all-courses__container > div > div:last-child {
    margin-bottom: 2em;
}

.all-courses__container > div > div:last-child::after {
    content: '';
    height: 0;
    width: 0;
    background-color: transparent;
}

.all-courses__container > div  > div .image-container {
    background-color: gray;
    background-blend-mode: luminosity;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    width: 50%;
}

.all-courses__container > div  > div .image-container img {
    width: 100%;
    object-fit: cover;
    object-position: left;
    box-shadow: 0 1em 3rem rgba(0, 0, 0, .5);
}

.all-courses__container > div  > div .info {
    display: flex;
    flex-direction: column;
}

.all-courses__container > div  > div .info > span {
    font-weight: bold;
    font-size: 1.1rem;
    color: var(--color-white);
    opacity: .9;
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid rgba(255, 255, 255, .1);
}

.all-courses__container > div  > div .info span > span {
    display: inline-block;
    margin-left: 1em;
    font-weight: normal;
}

.all-courses__container > div  > div .description {
    margin-top: 1em;
    margin-bottom: 2em;
    font-size: .8rem;
    margin-top: 2em;
}

.all-courses__container > div  > div .btn {
    align-self: flex-start;
}



        /* THE TOP DIV STYLE */

.all-courses__container .top {
    display: unset;
    order: -5;
    padding: 0;
}

.all-courses__container .top::after {
    content: '';
    height: 1px;
    width: 90%;
    position: absolute;
    bottom: -2.5em; left: 50%;
    transform: translateX(-50%);
    background-color: rgba(255, 255, 255, .2);
}

.all-courses__container .top .image-container {
    height: 80vh;
    width: 100%;
    margin-bottom: 1.5em;
    background-color: gray;
    background-blend-mode: luminosity;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.all-courses__container .top .image-container img {
    position: relative;
    top: 50%;
    transform: translatey(-50%);
    width: 100%;
    height: 70%;
    margin: auto;
    object-fit: cover;
    box-shadow: 0 1em 3rem #000;
}

.all-courses__container .top .info {
    display: flex;
    flex-direction: column;
    padding: 0 2em;
}

.all-courses__container .top .info > span {
    font-weight: bold;
    font-size: 1.1rem;
    color: var(--color-white);
    opacity: .9;
    display: flex;
    justify-content: space-between;
    border-bottom: 1px dashed gray;
}

.all-courses__container .top .info span > span {
    display: inline-block;
    margin-left: 1em;
    font-weight: normal;
}

.all-courses__container .top .description {
    margin-top: 2em;
    margin-bottom: 2em;
    font-size: .9rem;
}

.all-courses__container .top .btn {
    align-self: flex-start;
    background-color: var(--color-danger);
    border-color: var(--color-danger);
    color: var(--color-white);
    font-weight: bold;
    font-size: 1rem;
    padding: 1em 4em;
}

.all-courses__container .top .btn:hover {
    background-color: transparent;
}

@media (max-width:860px) {
    .all-courses__container > .cat-item > div {
        flex-direction: column;
    }

    .all-courses__container > div  > div .image-container {
        width: 100%;
    }
}

@media (max-width:540px) {
    .all-courses__container > div  > div .info > span,
        .all-courses__container > div  > .top .info > span {
        justify-content: flex-start;
    }

    .all-courses__container > div  > .top .info span > span,
    .all-courses__container > div  > div .info span > span {
        font-size: .9rem;
    }
    
    h2.other-courses {
        margin-top: 1em;
    }

    .all-courses__container .top .image-container {
        height: 35vh;
    }

    .all-courses__container .top .image-container img {
        width: 100%;
        margin: 0;
    }
}